﻿<?php
  define("EVENTS", 20);
  define("COUNTRIES", 10);

  $country_names = [];
  $event_descriptions = [[]];
  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    echo "Enter Country No. ", ($j + 1), ": ";
    $country_names[$j] = trim(fgets(STDIN));
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      echo "Enter description for event No. ", ($i + 1), ": ";
      $event_descriptions[$i][$j] = trim(fgets(STDIN));   
    }
  }

  echo "Enter a country to search: ";
  $needle = strtoupper(trim(fgets(STDIN)));

  //Country names are entered alphabetically.
  //Use the binary search algorithm to search for needle.
  $index_position = -1;
  $left = 0;
  $right = EVENTS - 1;
  $found = false;
  while ($left <= $right && !$found) {
    $middle = (int)(($left + $right) / 2);

    if (strtoupper($country_names[$middle]) > $needle) {
      $right = $middle - 1;
    }
    elseif (strtoupper($country_names[$middle]) < $needle) {
      $left = $middle + 1;
    }
    else {
      $found = true;
      $index_position = $middle;
    }
  }

  if (!$found) {
    echo "No country found!\n";
  }
  else {
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      echo $event_descriptions[$i][$index_position], "\n";
    }
  }
?>
