﻿<?php
  function get_consumption() {
    echo "Enter kWh consumed: ";
    $consumption = trim(fgets(STDIN));
    while ($consumption < 0) {
      echo "Error: Invalid number!\n";
      echo "Enter a non-negative number: ";
      $consumption = trim(fgets(STDIN));
    }
    return $consumption;
  }

  function find_amount($kwh) {
    if ($kwh <= 400) {
      $amount = $kwh * 0.08;
    }
    elseif ($kwh <= 1500) {
      $amount = 400 * 0.08 + ($kwh - 400) * 0.22;
    }
    elseif ($kwh <= 2000) {
      $amount = 400 * 0.08 + 1100 * 0.22 + ($kwh - 1500) * 0.35;
    }
    else {
      $amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + ($kwh - 2000) * 0.50;
    }

    $amount += 0.26 * $amount;
    return $amount;
  }

  do {
    $kwh = get_consumption();
    echo "You need to pay: ", find_amount($kwh), "\n";

    echo "Would you like to repeat? ";
    $answer = trim(fgets(STDIN));
  } while (strtoupper($answer) == "YES");
?>
