﻿<?php
  define("EVENTS", 20);
  define("COUNTRIES", 10);

  $country_names = [];
  $event_descriptions = [[]];
  $event_years = [[]];
  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    echo "Enter Country No. ", ($j + 1), ": ";
    $country_names[$j] = trim(fgets(STDIN));
    for ($i = 0; $i <= EVENTS - 1; $i++) {
      echo "Enter description for event No. ", ($i + 1), ": ";
      $event_descriptions[$i][$j] = trim(fgets(STDIN));
      echo "Enter year for event No. ", ($i + 1), ": ";
      $event_years[$i][$j] = trim(fgets(STDIN));      
    }
  }

  echo "Enter a year to search: ";
  $needle = trim(fgets(STDIN));
  $row_index = -1;

  for ($j = 0; $j <= COUNTRIES - 1; $j++) {
    $top = 0;
    $bottom = EVENTS - 1;
    $found = false;
    while ($top <= $bottom && !$found) {
      $middle = (int)(($top + $bottom) / 2);

      if ($event_years[$middle][$j] > $needle) {
        $bottom = $middle - 1;
      }
      elseif ($event_years[$middle][$j] < $needle) {
        $top = $middle + 1;
      }
      else {
        $found = true;
        $row_index = $middle;
      }
    }

    if (!$found) {
      echo "No event found for country ", $country_names[$j], "\n";
    }
    else {
      echo "Country: ", $country_names[$j], "\n";
      echo "Year: ", $event_years[$row_index][$j], "\n";
      echo "Event: ", $event_descriptions[$row_index][$j], "\n";
    }
  }
?>
